<?php

	define('APS_DEVELOPMENT_MODE', true);
	require "aps/2/runtime.php";

	/**
	* @type("http://aps-standard.org/samples/github/reseller/1.0")
	* @implements("http://aps-standard.org/types/core/profile/reseller/1.0")
	*/
	class reseller extends \APS\ResourceBase
	{
        ## Strong link to the application instance
        /**
         * @link("http://aps-standard.org/samples/github/app/1.0")
         * @required
         */
        public $app;

        ## Collection of links with tenants
        /**
         * @link("http://aps-standard.org/samples/github/tenant/1.0[]")
         */
        public $tenants;

        /**
         * @type(string)
         * @title("Login")
         * @required
         * @description("Login name of the reseller in the cloud application, e.g., resellerOne")
         * @access(referrer,false)
         */
        public $login;

        /**
         * @type(string)
         * @title("Password")
         * @required
         * @encrypted
         * @description("Password of the reseller in the cloud application")
         * @access(referrer,false)
         */
        public $passwd;

    }
?>
